#
# spec file for package perl-Class-Discover
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Class-Discover
Version:        1.000003
Release:        4.1
License:        GPL+ or Artistic
%define cpan_name Class-Discover
Summary:        detect MooseX::Declare's 'class' keyword in files.
Url:            http://search.cpan.org/dist/Class-Discover/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/A/AS/ASH/Class-Discover-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Find::Rule::Perl) >= 1.07
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(File::Find::Rule)
Requires:       perl(File::Find::Rule::Perl) >= 1.07
Requires:       perl(File::Temp)
Requires:       perl(Path::Class)
Requires:       perl(PPI)
Requires:       perl(Test::Differences)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
This class is designed primarily for tools that whish to populate the
'provides' field of META.{yml,json} files so that the CPAN indexer will pay
attention to the existance of your classes, rather than blithely ignoring
them.

The version parsing is basically the same as what M::I's '->version_form'
does, so should hopefully work as well as it does.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.000003
  * created by cpanspec 1.78.03
